Issue 45966

Summary: Effects can't be previewed at other speeds from the "Custom Animation" dialog
Product: Impress Reporter: tburcham <tburcham>
Component: viewingAssignee: AOO issues mailing list <issues>
Status: ACCEPTED --- QA Contact:
Severity: Trivial    
Priority: P4 CC: issues
Version: OOo 2.0 Beta   
Target Milestone: ---   
Hardware: PC   
OS: Windows ME   
Issue Type: DEFECT Latest Confirmation in: ---
Developer Difficulty: ---

Description tburcham 2005-03-24 17:08:11 UTC
In the "Custom Animation" dialog, when one selects a different
effect, the speed setting is changed. This is probably intended.
But there's no way, from this dialog, to preview an effect at any
other speed. I thought that this aspect might be unintentional.

The speed selections are retained when OK is pressed though.
Comment 1 wolframgarten 2005-03-31 09:16:48 UTC
Reproducible. 
Comment 2 wolframgarten 2005-03-31 09:17:14 UTC
Reassigned.
Comment 3 groucho266 2005-03-31 09:47:01 UTC
There was a missing initialization of data members in
sd/source/ui/toolpanel/TitledControl.cxx.
Comment 4 groucho266 2005-03-31 11:20:09 UTC
The above comment belongs to another issue.  This one is not yet fixed.
Comment 5 groucho266 2005-03-31 11:20:58 UTC
Accepted.
Comment 6 groucho266 2005-05-24 14:04:31 UTC
Due to resource constraints I set the target to OOo Later.
Comment 7 gely 2011-02-19 20:52:55 UTC
Potential new info for this bug:

Notes about the dialog:
- It is not possible to trigger a preview by pressing "Enter" or "Tab" after
selecting new speed
- It is not possible to trigger a preview by un-checking and then re-checking
the "Automatic preview" check box
- The only way it seems possible to trigger a preview is by selecting the same
animation again, but that will reset the speed to default setting

Notes about the task pane:
- Changing the speed in the task pane will trigger a new preview, with the
selected speed, so it seems the issue is limited to the dialog.

Notes about PowerPoint and Keynote:
I had a quick look at how this is handled in both PowerPoint and Keynote. In
PowerPoint (2003 and 2007) there is no "Custom Animation" dialog. All settings
are done directly in the task pane, including selecting the type of animation.

Keynote does have a dialog for the animation, but no option for "Automatic
preview" the preview must be triggered manually by clicking on an icon. When
triggered, the preview is shown with the selected speed.

Comparing with PowerPoint, which has the most similar way to handle this, the
whole "Custom Animation" dialog could potentially be skipped if selecting
animation type could be done directly in the task pane. It is at least a
potential alternative to fixing this issue.
Comment 8 Marcus 2017-05-20 11:08:33 UTC
Reset assigne to the default "issues@openoffice.apache.org".